Bug 123123 - Intel Pro 1000 driver doesn't load in Dell Poweredge 700
Intel Pro 1000 driver doesn't load in Dell Poweredge 700
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-12 14:15 EDT by Tom Laudeman
Modified: 2015-02-04 14:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Laudeman 2004-05-12 14:15:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
The e1000 driver which ships with Fedora Core 1 fails to load for the
onboard NIC in the Dell Poweredge 700, and fails to load in the Intel
Pro 1000MT PCI ethernet card.

The new driver from Intel works fine for the onboard NIC, and the PCI
card.

The working version of the driver is 5.2.39.

We built an rpm install for the correct (working) driver. Here is the
rpm -ql output:


[root@hostname tmp]# rpm -ql e1000-5.2.39-1
/lib/modules/2.4.22-1.2188.nptl/kernel/drivers/net/e1000.o.new
/lib/modules/2.4.22-1.2188.nptlsmp/net/e1000.o.new
/usr/share/doc/e1000-5.2.39
/usr/share/doc/e1000-5.2.39/LICENSE
/usr/share/doc/e1000-5.2.39/README
/usr/share/doc/e1000-5.2.39/file.list
/usr/share/doc/e1000-5.2.39/ldistrib.txt
/usr/share/man/man7/e1000.7.gz



Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1. use the GUI Network config, or insmod the e1000 driver.
2.
3.
    

Actual Results:  An error message to the effect that the device cannot
be found.

Expected Results:  Silently works; module is installed, networking can
be started.

Additional info:
Comment 1 David Lawrence 2004-09-29 16:25:36 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.